Bug 55163 - new-run-webkit-tests: enable multiple processes by default on Chromium Win
Summary: new-run-webkit-tests: enable multiple processes by default on Chromium Win
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: Dirk Pranke
URL:
Keywords:
Depends on: 55195 58296
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-24 11:23 PST by Dirk Pranke
Modified: 2011-04-13 14:23 PDT (History)
5 users (show)

See Also:


Attachments
Patch (2.29 KB, patch)
2011-02-24 11:24 PST, Dirk Pranke
mihai: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Pranke 2011-02-24 11:23:48 PST
nrwt: enable multiple processes by default on windows
Comment 1 Dirk Pranke 2011-02-24 11:24:46 PST
Created attachment 83686 [details]
Patch
Comment 2 Dirk Pranke 2011-02-24 15:05:31 PST
Committed r79628: <http://trac.webkit.org/changeset/79628>
Comment 3 Dirk Pranke 2011-02-24 16:47:39 PST
Okay, turns out processes don't work so well just yet.

Two issues I saw:

1) output from the child python processes wasn't getting piped back into the parent processes. I think I had noticed this before and forgotten about it, but this is not a great thing to have going on in --verbose mode. Because of the way windows multiprocessing works, the processes don't share file descriptors, and so I don't get this for free. I think the thing to do is to send the log strings over the message queue. In general we only log a couple of messages per test in the worker, so it shouldn't do more than double the message load.

At the same time, on the dbg 2 bot, everything was totally broken: see http://build.chromium.org/p/chromium.webkit/builders/Webkit%20Win%20%28dbg%29%282%29/builds/1265/steps/webkit_gpu_tests/logs/stdio . So it's hard to conclude much from that.
Comment 4 Dirk Pranke 2011-02-24 16:48:34 PST
reverted in http://trac.webkit.org/changeset/79641
Comment 5 Dirk Pranke 2011-04-06 19:45:02 PDT
I don't think it should block bug 34984 and I plan to clear the blocking flag on Mon 4/11. If you disagree, now would be a good time to speak up :).
Comment 6 Dirk Pranke 2011-04-11 20:06:58 PDT
okay, given the fix to the web server on windows and the logging fix in 58296, everything seems to work for me, so it's time to try again ...
Comment 7 Dirk Pranke 2011-04-12 18:04:16 PDT
clearing blocking flag.
Comment 8 Dirk Pranke 2011-04-13 14:23:00 PDT
Committed r83764: <http://trac.webkit.org/changeset/83764>